#ifndef EXAMPLE_H
#define EXAMPLE_H

#include <QtGui/QMainWindow>
#include <QtCore/QUrl>

class ControlsView;
class PlaylistModel;
namespace Phonon { class MediaObject; }

class Example : public QMainWindow
{
	Q_OBJECT
	public:
		Example();
		virtual ~Example();
		QSize sizeHint() const;
		
	private slots:
		void selectFile();
		void play();
		void stop();
		void finished();
		
		void timeChanged(qreal fraction);
		
	private:
		void playNext();
		Phonon::MediaObject* mediaObject;
		PlaylistModel* playlist;
		ControlsView* controls;
};

#endif // example_H
